
Product Side - Bug #2070

Support # 1298 (Closed): 【U-NEXT経由USEN向けサービス】USENデータ使用状況の自動配信メールについて

USENデータ利用量レポートのスタンダードプラン利用回線についての調査

12/01/2016 12:30 PM - Takashi Arakaki

Status: Closed % Done: 80%

Priority: Normal Spent time: 1.00 hour

Assignee: Takashi Arakaki   

Type:  バグ要因:  

Description

確認結果

1. プログラムに不具合があったため、これを修正。修正版のファイルは別途メールで提供する。

2. 使用しているシステムがウェブレポートがデフォルトとなり、メールでの処理は、そのウェブレポートを別途プロセスとして定義する必要がある。仕組み上、パラメータを複数箇所で定義する必要があるため、

置き換えを検討します（別途依頼された光通信向けの作業に組み込むことを検討）

依頼内容

差出人: "Oh Enkin" eoh@j-com.co.jp

宛先: "Takashi Arakaki" tarakaki@j-com.co.jp

Cc: "Yasushi Shibuya" yshibuya@j-com.co.jp, "sakagami tomonori" tsakagami@j-com.co.jp, "azuma taisuke" 

tazuma@j-com.co.jp, "kihara yasuhiro" ykihara@j-com.co.jp

送信済み: 2016年12月1日, 木曜日 午前 1:35:44

件名: 【U-NEXT経由USEN向けサービス】USENデータ使用状況の自動配信メールについて

新垣さん

お疲れ様です。

U-NEXT経由USEN向け商品ですが、

11月22日にスタンダードSIM 15枚を出荷しました。

この15回線の回線情報のMSPポータル登録とゴジラプラン変更を以下のチケットにて

山田さんに作業依頼をお願いしました。

https://redmine.jcigroup.local/issues/1971#change-6951

ゴジラ上のプラン変更を行った後に、自動配信メールシステムは自動的に拾えてくれると認識していますが、

11月28日の配信メールを見る限り、

該当回線は対象になっていないようです。

お手数ですが、ご確認をお願いできますでしょうか。

▼出荷情報

・受注種別：データ通信サービス（卸売）　UN-DL

・受注ID：1465719/1465722

・出荷日：11月22日

・出荷状態：黒出荷

・プラン：スタンダードプラン（UN-DLG-US）

お手数をおかけいたしますが、よろしくお願いいたします。

王　燕金

History

#1 - 12/01/2016 01:43 PM - Takashi Arakaki

- File DailyDataUsage-20161121.csv added

- File WeeklyDataUsage-20161121.csv added
- File DailyDataUsage-20161121_rev.csv added

- File WeeklyDataUsage-20161121_rev.csv added

- % Done changed from 0 to 80

- Estimated time changed from 2.00 h to 1.00 h

1. WEBレポートは正常に表示されている。

2. メールレポートの送信テストを実施する。WEB UIとは異なり、回線を取得できない。

3. プログラムファイルを確認したところ、メール送信のプロセスで固定値が使用されていたことが原因と確認。

4. プログラム修正後本番に反映、送信テストを再実施する。

5. ファイルを比較

$ diff -u DailyDataUsage-20161121.csv DailyDataUsage-20161121_rev.csv

--- DailyDataUsage-20161121.csv 2016-12-02 03:04:50.999999900 -0700

+++ DailyDataUsage-20161121_rev.csv     2016-12-02 03:19:04.999999900 -0700

@@ -423,6 +423,7 @@

 "11/25/2016","07026388066","UN-DL-US","1,015,639","5,237,635"

 "11/25/2016","07026446740","UN-DL-US","1,138,915","11,464,953"

 "11/25/2016","07026511053","UN-DL-US","5,230,454","5,080,352"

+"11/25/2016","07028224339","UN-DLG-US","19,570,944","864,942,311"

 "11/25/2016","07028325427","UN-DL-US","993,203","5,237,207"

 "11/25/2016","07039809611","UN-DL-US","272","3,168"

 "11/25/2016","07039910064","UN-DL-US","348","3,168"

@@ -550,6 +551,7 @@

 "11/26/2016","07026388066","UN-DL-US","7,018,799","263,110,709"

 "11/26/2016","07026446740","UN-DL-US","11,085,251","458,466,946"

 "11/26/2016","07026511053","UN-DL-US","5,164,872","5,186,043"

+"11/26/2016","07028224339","UN-DLG-US","11,124,295","457,848,298"

 "11/26/2016","07028325427","UN-DL-US","9,187,345","368,509,826"

 "11/26/2016","07041806549","UN-DL-US","14,859,607","604,490,410"

 "11/26/2016","07041806633","UN-DL-US","12,566,233","506,556,203"

@@ -665,6 +667,7 @@

 "11/27/2016","07026388066","UN-DL-US","870,732","6,410,551"

 "11/27/2016","07026446740","UN-DL-US","991,310","11,550,266"

 "11/27/2016","07026511053","UN-DL-US","7,871,096","138,639,653"

+"11/27/2016","07028224339","UN-DLG-US","906,759","12,206,093"

 "11/27/2016","07028325427","UN-DL-US","906,383","8,515,806"

 "11/27/2016","07041806549","UN-DL-US","1,231,573","14,163,846"

 "11/27/2016","07041806633","UN-DL-US","1,086,822","15,070,899"

@@ -775,10 +778,16 @@

 "","07026270089","UN-DL-US","データなし","データなし"

 "","07026318128","UN-DL-US","データなし","データなし"

 "","07026324317","UN-DL-US","データなし","データなし"

+"","07026362436","UN-DLG-US","データなし","データなし"

+"","07026364092","UN-DLG-US","データなし","データなし"

 "","07026848158","UN-DL-US","データなし","データなし"

 "","07026848382","UN-DL-US","データなし","データなし"

+"","07028123386","UN-DLG-US","データなし","データなし"

+"","07028181405","UN-DLG-US","データなし","データなし"

+"","07028224213","UN-DLG-US","データなし","データなし"

 "","07028253739","UN-DL-US","データなし","データなし"

 "","07028291706","UN-DL-US","データなし","データなし"

+"","07028399964","UN-DLG-US","データなし","データなし"

 "","07039656056","UN-DL-US","データなし","データなし"

 "","07039656792","UN-DL-US","データなし","データなし"

 "","07039657414","UN-DL-US","データなし","データなし"

@@ -828,9 +837,16 @@

 "","07042304316","UN-DL-US","データなし","データなし"

 "","08020054502","UN-DL-US","データなし","データなし"

 "","08021251349","UN-DL-US","データなし","データなし"

+"","08025553020","UN-DLG-US","データなし","データなし"

+"","08025553427","UN-DLG-US","データなし","データなし"

+"","08025553895","UN-DLG-US","データなし","データなし"

 "","08026705298","UN-DL-US","データなし","データなし"

+"","08076969057","UN-DLG-US","データなし","データなし"
+"","08077187605","UN-DLG-US","データなし","データなし"

 "","08077716200","UN-DL-US","データなし","データなし"

 "","08077976187","UN-DL-US","データなし","データなし"

+"","08080335149","UN-DLG-US","データなし","データなし"

+"","08080337914","UN-DLG-US","データなし","データなし"

 "","08092917628","UN-DL-US","データなし","データなし"

 "","08092921307","UN-DL-US","データなし","データなし"

 "","08092921535","UN-DL-US","データなし","データなし"

@@ -842,5 +858,6 @@

 "","09052176717","UN-DL-US","データなし","データなし"

 "","09053276456","UN-DL-US","データなし","データなし"

 "","09054269193","UN-DL-US","データなし","データなし"

+"","09057538159","UN-DLG-US","データなし","データなし"

 "","09058282378","UN-DL-US","データなし","データなし"

 "","09074093117","UN-DL-US","データなし","データなし"

$ diff -u WeeklyDataUsage-20161121.csv WeeklyDataUsage-20161121_rev.csv

--- WeeklyDataUsage-20161121.csv        2016-12-02 03:04:50.999999900 -0700

+++ WeeklyDataUsage-20161121_rev.csv    2016-12-02 03:19:04.999999900 -0700

@@ -7,6 +7,7 @@

 "11/21/2016","07026388066","UN-DL-US","13,836,670","343,201,768"

 "11/21/2016","07026446740","UN-DL-US","21,419,268","730,917,867"

 "11/21/2016","07026511053","UN-DL-US","45,290,152","421,042,091"

+"11/21/2016","07028224339","UN-DLG-US","31,601,998","1,334,996,702"

 "11/21/2016","07028325427","UN-DL-US","14,484,265","441,180,916"

 "11/21/2016","07039809611","UN-DL-US","740","6,402"

 "11/21/2016","07039910064","UN-DL-US","4,780","10,294"

@@ -132,10 +133,16 @@

 "11/21/2016","07026270089","UN-DL-US","データなし","データなし"

 "11/21/2016","07026318128","UN-DL-US","データなし","データなし"

 "11/21/2016","07026324317","UN-DL-US","データなし","データなし"

+"11/21/2016","07026362436","UN-DLG-US","データなし","データなし"

+"11/21/2016","07026364092","UN-DLG-US","データなし","データなし"

 "11/21/2016","07026848158","UN-DL-US","データなし","データなし"

 "11/21/2016","07026848382","UN-DL-US","データなし","データなし"

+"11/21/2016","07028123386","UN-DLG-US","データなし","データなし"

+"11/21/2016","07028181405","UN-DLG-US","データなし","データなし"

+"11/21/2016","07028224213","UN-DLG-US","データなし","データなし"

 "11/21/2016","07028253739","UN-DL-US","データなし","データなし"

 "11/21/2016","07028291706","UN-DL-US","データなし","データなし"

+"11/21/2016","07028399964","UN-DLG-US","データなし","データなし"

 "11/21/2016","07039656056","UN-DL-US","データなし","データなし"

 "11/21/2016","07039656792","UN-DL-US","データなし","データなし"

 "11/21/2016","07039657414","UN-DL-US","データなし","データなし"

@@ -185,9 +192,16 @@

 "11/21/2016","07042304316","UN-DL-US","データなし","データなし"

 "11/21/2016","08020054502","UN-DL-US","データなし","データなし"

 "11/21/2016","08021251349","UN-DL-US","データなし","データなし"

+"11/21/2016","08025553020","UN-DLG-US","データなし","データなし"

+"11/21/2016","08025553427","UN-DLG-US","データなし","データなし"

+"11/21/2016","08025553895","UN-DLG-US","データなし","データなし"

 "11/21/2016","08026705298","UN-DL-US","データなし","データなし"

+"11/21/2016","08076969057","UN-DLG-US","データなし","データなし"

+"11/21/2016","08077187605","UN-DLG-US","データなし","データなし"

 "11/21/2016","08077716200","UN-DL-US","データなし","データなし"

 "11/21/2016","08077976187","UN-DL-US","データなし","データなし"

+"11/21/2016","08080335149","UN-DLG-US","データなし","データなし"

+"11/21/2016","08080337914","UN-DLG-US","データなし","データなし"

 "11/21/2016","08092917628","UN-DL-US","データなし","データなし"

 "11/21/2016","08092921307","UN-DL-US","データなし","データなし"

 "11/21/2016","08092921535","UN-DL-US","データなし","データなし"

@@ -199,5 +213,6 @@

 "11/21/2016","09052176717","UN-DL-US","データなし","データなし"

 "11/21/2016","09053276456","UN-DL-US","データなし","データなし"

 "11/21/2016","09054269193","UN-DL-US","データなし","データなし"

+"11/21/2016","09057538159","UN-DLG-US","データなし","データなし"

 "11/21/2016","09058282378","UN-DL-US","データなし","データなし"

 "11/21/2016","09074093117","UN-DL-US","データなし","データなし"
=> 全てのレコードの存在を確認

#2 - 12/01/2016 01:48 PM - Takashi Arakaki

- Description updated

#3 - 12/01/2016 01:49 PM - Takashi Arakaki

- Tracker changed from Questions to Bug

- Status changed from New to Closed

Files

WeeklyDataUsage-20161121.csv 13.4 KB 12/01/2016 Takashi Arakaki

DailyDataUsage-20161121.csv 51.6 KB 12/01/2016 Takashi Arakaki

WeeklyDataUsage-20161121_rev.csv 14.5 KB 12/01/2016 Takashi Arakaki

DailyDataUsage-20161121_rev.csv 52.7 KB 12/01/2016 Takashi Arakaki

Powered by TCPDF (www.tcpdf.org)

06/27/2025 4/4

http://www.tcpdf.org

